<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>JR3.20</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css">
</head>

<body>
    <!-- 1. Header - Navbar menu -->
    <nav class="main-header navbar navbar-expand navbar-white navbar-light">
        <!-- Left navbar links -->
        <ul class="navbar-nav ml-auto">
            <li class="nav-item d-none d-sm-inline-block">
                <h4 href="#" class="nav-link text-primary font-weight-bold">Weather App </h4>
            </li>
        </ul>

        <!-- Right navbar links -->
        <ul class="navbar-nav m-auto">
            <!-- Navbar Search -->
            <li class="nav-item">
                <a href="#" class="nav-link text-primary">Current</a>
            </li>
            <li class="nav-item">
                <a href="#" class="nav-link text-primary">Forecast</a>
            </li>
        </ul>
    </nav>
    <!-- /.navbar -->

    <!-- 2. Slide body -->
    <!-- Content Header (Page header) -->
    <div class="container-fluid">
        <div class="row">
            <div class="col-sm-12 d-flex align-items-center justify-content-center bg-primary" style="height: 200px;">
                <div class="form-group">
                    <h2 class="text-white">Get Weather Forecast</h2>
                </div>
            </div>
        </div>
    </div>

    <!-- 3. Courses content -->
    <!-- Content -->

    <div class="container">
        <div class="row text-center m-3">
            <div class="col-sm-12">
                <h5>
                    <p class="text-primary">Enter City Name</p>
                </h5>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-12 form-group d-flex justify-content-center ">
                <input id="inp-city" class="form-control w-25 mx-2" type="text" placeholder="Enter City Name">
                <input id="inp-day" class="form-control w-25 pr-0" type="text" placeholder="Nextday: Min-1 & Max-16">
                <button id="btn-search" class="btn btn-primary mx-2">Search City</button>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-12">
                <table id="table-city" class="table table-bordered bg-primary">
                    <thead>
                        <tr>
                        <th>Next day</th>
                        <th>Icon</th>
                        <th>Weather</th>
                        <th>Description</th>
                        <th>Morning Temperature</th>
                        <th>Night Temperature</th>
                        <th>Min. Temperature</th>
                        <th>Max. Temperature</th>
                        <th>Pressure</th>
                        <th>Humidity</th>
                        <th>Wind Speed</th>
                        <th>Wind Diection</th>
                        </tr>
                    </thead>
                    <tbody></tbody>
                </table>
            </div>
        </div>
    </div>
    </div>
    <!--Toast thông báo nhập dữ liệu-->
    <div id="toast-data" class="toast">
        <div class="toast-header">
            Thông báo
        </div>
        <div class="toast-body">
            Vui lòng nhập đủ dữ liệu City và Ngày(từ ngày 1 đến ngày 16)
        </div>
    </div>
    <!-- Footer -->
    <div class="container-fluid footer bg-primary fixed-bottom d-flex justify-content-center align-items-center"
        style="height: 40px;">
        <div class="row ">
            <span class="text-white">Copyright © Weather App</span>
        </div>
    </div>


</body>
<script>
        $(document).on("click", "#btn-search", function() {
        onBtnSearchClick();
    });

    function onBtnSearchClick() {
        var vCity = {
            name: "",
            day: ""
        }
        console.log(vCity);

        getInfoData(vCity);
        var vValidate = validateData(vCity);
        if (vValidate) {
            getForecast(vCity);
        }
    }

    function getInfoData(paramData) {
        paramData.name = $("#inp-city").val().trim();
        paramData.day = $("#inp-day").val().trim();

        console.log(paramData.name);
        console.log(paramData.day);
    }

    function validateData(paramData) {
        if (paramData.name == "") {
            alert("Vui lòng nhập city");
            return false;
        }
        if (paramData.day == "") {
            alert("Vui lòng nhập số ngày muốn hiển thị");
            return false;
        }
        if (paramData.day < 1 || paramData.day > 16) {
            alert("Nhập ngày từ 1 đến 16");
            return false;
        }

        return true;

    }

    function getForecast(paramData) {
        $.ajax({
            url: 'http://api.openweathermap.org/data/2.5/forecast/daily?q=' + paramData.name + "&units=metric" +
                "&cnt=" + paramData.day + "&APPID=c10bb3bd22f90d636baa008b1529ee25",
            type: "GET",
            dataType: "json",
            success: function(data) {
                displayData(data);

            }
        });
    }

    function displayData(paramData) {
    
        var vDay = 1;
        var vTable = $("#table-city tbody");
        vTable.empty();
        for (var data of paramData.list) {
            var vRow = $("<tr>").appendTo(vTable);
            $("<td>", {
                html: vDay++
            }).appendTo(vRow);
            var vIcon = $("<td>").appendTo(vRow);
            $("<img>").attr("src", "http://openweathermap.org/img/w/" + data.weather[0].icon + ".png").appendTo(vIcon);

            $("<td>", {
                html: data.weather[0].main
            }).appendTo(vRow);
            $("<td>", {
                html: data.weather[0].description
            }).appendTo(vRow);
            $("<td>", {
                html: data.temp.morn + "&#8451;"
            }).appendTo(vRow);
            $("<td>", {
                html: data.temp.night + "&#8451;"
            }).appendTo(vRow);
            $("<td>", {
                html: data.temp.min + "&#8451;"
            }).appendTo(vRow);
            $("<td>", {
                html: data.temp.max + "&#8451;"
            }).appendTo(vRow);
            $("<td>", {
                html: data.pressure + "hpa"
            }).appendTo(vRow);
            $("<td>", {
                html: data.humidity + "%"
            }).appendTo(vRow);
            $("<td>", {
                html: data.speed + "m/s"
            }).appendTo(vRow);
            $("<td>", {
                html: data.deg + "&deg;"
            }).appendTo(vRow);
        }
    }
</script>

</html>